/**
 * @file hv_chip_Driver.c
 * @brief arch driver chip abstract layer file.
 *
 * @author HiView SoC Software Team
 * @version 1.0.0
 * @date 2023-09-27
 * @copyright Copyright(c),2023-9, Hiview Software. All rights reserved.
 * </table>
 */
#include "hv_chip_Config.h"
#include "hv_vos_Comm.h"
/*
 *  @param reset all the chip.
 *  @param null
 *  @retval null
*/
void hv_chip_Reset(void)
{
    Hv_Vos_FlushLogBuf();
    Hv_Chip_DebugUartPuts("reset...\n");
    Hv_Vos_Delayus(1000);

    HV_W32_FIELD(STANDBY_AON_REG_CLKGEN_AON, reg_sw_rst_n, 0);
    /* will not return heare. */
    return;
}
